Subject: bug#19393: 25.0.50; Emacs cannot determine coding system of ISO-8859 encoded files

From: Eli Zaretskii <[email-masked]>
Date: Thu, 18 Dec 2014 18:22:14 +0200

> From: Wolfgang Jenkner <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 18 Dec 2014 02:47:41 +0100
> 
> > That's what I thought.  AFAIK, FreeBSD systems use mmap(2) explicitly
> > for buffer memory allocation, and that could be slow when we need to
> > repeatedly reallocate buffer text and memmove the text between old and
> > new.
> >
> >> but the emacs versions I have are more than a month old, so I'll
> >> bootstrap from a current git checkout and try again.
> >
> > If I'm right, this won't change the result.
> 
> You are right, of course (it took around 15 minutes system+user time).
> 
> So, I tried
> 
> --8<---------------cut here---------------start------------->8---
> diff --git a/configure.ac b/configure.ac
> index 010abc8..de1c5e8 100644
> --- a/configure.ac
> +++ b/configure.ac
> @@ -2127,7 +2127,7 @@ fi
>  
>  use_mmap_for_buffers=no
>  case "$opsys" in
> -  cygwin|mingw32|freebsd|irix6-5) use_mmap_for_buffers=yes ;;
> +  cygwin|mingw32|irix6-5) use_mmap_for_buffers=yes ;;
>  esac
>  
>  AC_FUNC_MMAP
> --8<---------------cut here---------------end--------------->8---
> 
> However, this still took around 10 minutes (I tested with emacs -Q in
> both cases, of course).

That's expected: when you disable mmap, Emacs uses ralloc.c, which
still has this problem.

Btw, is this with the compressed file or after decompressing it?  My
guess is the former.